com.avaya.deskphoneservices

## Enum HardButtonType

- java.lang.Object
- - java.lang.Enum<HardButtonType>
  - - com.avaya.deskphoneservices.HardButtonType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HardButtonType>

      public enum HardButtonType
      extends java.lang.Enum<HardButtonType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUDIO_MUTE`
    `HEADSET`
    `SPEAKER`
    `VIDEO_MUTE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HardButtonType` | `fromInt(int keycode)`
    `int` | `getValue()`
    `static HardButtonType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HardButtonType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AUDIO_MUTE

          public static final HardButtonType AUDIO_MUTE

    - #### VIDEO_MUTE

          public static final HardButtonType VIDEO_MUTE

    - #### SPEAKER

          public static final HardButtonType SPEAKER

    - #### HEADSET

          public static final HardButtonType HEADSET

  - ### Method Detail

    - #### values

          public static HardButtonType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HardButtonType c : HardButtonType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HardButtonType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

    - #### fromInt

          public static HardButtonType fromInt(int keycode)